package com.fs.live.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

/**
 * 直播奖励补偿记录对象 live_reward_compensation
 * 
 * @author fs
 * @date 2025-10-21
 */
@Data
public class LiveRewardCompensation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 芳华币补偿主键id */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 关联id */
    @Excel(name = "关联id")
    private String unionId;

    /** 状态：0、待补偿 ,1、补偿完成，2、补偿失败 */
    @Excel(name = "状态：0、待补偿 ,1、补偿完成，2、补偿失败")
    private Integer status;

    /** 日志类型 */
    @Excel(name = "日志类型")
    private Integer logType;

    /** 业务id */
    @Excel(name = "业务id")
    private Long businessId;

    /** 积分 */
    @Excel(name = "积分")
    private Long integral;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("unionId", getUnionId())
            .append("status", getStatus())
            .append("logType", getLogType())
            .append("businessId", getBusinessId())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
